Retrieve shipment tracking data
GET /shipment on the Container Tracking API. Base URL: https://api.sinay.ai/container-tracking/api/v2.
Query parameters
Responses
Body: application/json, object.
| Field | Type | Required | Description |
|---|---|---|---|
metadata | object | No | Additional data on the shipment. |
metadata.shipmentType | string | No | Shipment type (CT for Container, BK for booking number, BL for bill of lading, DC for document (if we could not recognize between a booking or bill of lading). If this parameter is not present in the request, it will be autodetected. One of: CT, BL, BK, DC. |
metadata.shipmentNumber | string | No | Shipment reference entered as input. |
metadata.sealine | string | No | Shipping line SCAC code. If this parameter is not present in the request, it will be autodetected. |
metadata.sealineName | string | No | Name of the shipping line in full. |
metadata.shippingStatus | string | No | Short status of the shipment. If no event dates are available, status is PLANNED, if event dates are still in the future status is IN_TRANSIT and if all dates are in the past and delivery has been confirmed by sealine, status is DELIVERED. One of: PLANNED, IN_TRANSIT, DELIVERED, UNKNOWN. |
metadata.updatedAt | string (date-time) | No | Timestamp from when data was last received from the carrier. |
metadata.warnings | array of string | No | Warnings on data quality or discrepancies in data received from carrier. Possible values. • MISSING_DATES at least one of the event dates is null • OBSOLETE_DATA timestamp from updatedAt is older than 24 hours • NO_POL no Port of Loading received from carrier • NO_POD no Port of Discharge received from carrier • STATUS_MISMATCH shipment status is in conflict with event dates • NO_EVENTS carrier provided information on containers, but not on events • NO_CONTAINERS no container information received from carrier • SPLIT_BL the bl has been detected as split. |
locations | array of object | No | — |
locations[].name | string | No | Location name (as in UNECE database). |
locations[].state | string | No | Location state if provided. |
locations[].country | string | No | Country of the location. |
locations[].countryCode | string | No | Country code of the location (2 letters, as in UNECE database). |
locations[].locode | string | No | UN/Locode of the location. |
locations[].coordinates | object | No | — |
locations[].coordinates.lat | number (float) | No | — |
locations[].coordinates.lng | number (float) | No | — |
locations[].timezone | string | No | Location timezone. |
route | object | No | — |
route.prepol | object | No | Place of dispatch. |
route.prepol.location | object | No | Ordered list of the locations your shipment will transit by. |
route.prepol.location.name | string | No | Location name (as in UNECE database). |
route.prepol.location.state | string | No | Location state if provided. |
route.prepol.location.country | string | No | Country of the location. |
route.prepol.location.countryCode | string | No | Country code of the location (2 letters, as in UNECE database). |
route.prepol.location.locode | string | No | UN/Locode of the location. |
route.prepol.location.coordinates | object | No | — |
route.prepol.location.coordinates.lat | number (float) | No | — |
route.prepol.location.coordinates.lng | number (float) | No | — |
route.prepol.location.timezone | string | No | Location timezone. |
route.prepol.date | string (date-time) | No | Date of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival. |
route.prepol.actual | boolean | No | True if the date is actual, false if it is estimated. |
route.prepol.predictiveEta | string | No | Available only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather. |
route.pol | object | No | Port of Loading. |
route.pol.location | object | No | Ordered list of the locations your shipment will transit by. |
route.pol.location.name | string | No | Location name (as in UNECE database). |
route.pol.location.state | string | No | Location state if provided. |
route.pol.location.country | string | No | Country of the location. |
route.pol.location.countryCode | string | No | Country code of the location (2 letters, as in UNECE database). |
route.pol.location.locode | string | No | UN/Locode of the location. |
route.pol.location.coordinates | object | No | — |
route.pol.location.coordinates.lat | number (float) | No | — |
route.pol.location.coordinates.lng | number (float) | No | — |
route.pol.location.timezone | string | No | Location timezone. |
route.pol.date | string (date-time) | No | Date of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival. |
route.pol.actual | boolean | No | True if the date is actual, false if it is estimated. |
route.pol.predictiveEta | string | No | Available only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather. |
route.pod | object | No | Port of Discharge. |
route.pod.location | object | No | Ordered list of the locations your shipment will transit by. |
route.pod.location.name | string | No | Location name (as in UNECE database). |
route.pod.location.state | string | No | Location state if provided. |
route.pod.location.country | string | No | Country of the location. |
route.pod.location.countryCode | string | No | Country code of the location (2 letters, as in UNECE database). |
route.pod.location.locode | string | No | UN/Locode of the location. |
route.pod.location.coordinates | object | No | — |
route.pod.location.coordinates.lat | number (float) | No | — |
route.pod.location.coordinates.lng | number (float) | No | — |
route.pod.location.timezone | string | No | Location timezone. |
route.pod.date | string (date-time) | No | Date of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival. |
route.pod.actual | boolean | No | True if the date is actual, false if it is estimated. |
route.pod.predictiveEta | string | No | Available only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather. |
route.postpod | object | No | Destination. |
route.postpod.location | object | No | Ordered list of the locations your shipment will transit by. |
route.postpod.location.name | string | No | Location name (as in UNECE database). |
route.postpod.location.state | string | No | Location state if provided. |
route.postpod.location.country | string | No | Country of the location. |
route.postpod.location.countryCode | string | No | Country code of the location (2 letters, as in UNECE database). |
route.postpod.location.locode | string | No | UN/Locode of the location. |
route.postpod.location.coordinates | object | No | — |
route.postpod.location.coordinates.lat | number (float) | No | — |
route.postpod.location.coordinates.lng | number (float) | No | — |
route.postpod.location.timezone | string | No | Location timezone. |
route.postpod.date | string (date-time) | No | Date of the first event at this location. For POL usually date of Gate In, for POD usually date of Vessel arrival. |
route.postpod.actual | boolean | No | True if the date is actual, false if it is estimated. |
route.postpod.predictiveEta | string | No | Available only for POD and when the shipment is within 3 days of its arrival at POD. Safecube calculation based on historical AIS data, live port congestion and wheather. |
vessels | array of object | No | — |
vessels[].name | string | No | Vessel Name. |
vessels[].imo | integer (int32) | No | Unique IMO identifier of the vessel. |
vessels[].callSign | string | No | Call sign of the vessel when provided. |
vessels[].mmsi | integer (int32) | No | Maritime Mobile Service Identity number. |
vessels[].flag | string | No | 2 letters country code (as in UNECE database). |
facilities | array of object | No | — |
facilities[].name | string | No | Facility name. |
facilities[].countryCode | string | No | 2 letters country code. |
facilities[].locode | string | No | UN/Locode of the facility. |
facilities[].bicCode | string | No | — |
facilities[].smdgCode | string | No | — |
facilities[].coordinates | object | No | — |
facilities[].coordinates.lat | number (float) | No | — |
facilities[].coordinates.lng | number (float) | No | — |
containers | array of object | No | — |
containers[].number | string | No | — |
containers[].isoCode | string | No | — |
containers[].sizeType | string | No | — |
containers[].status | string | No | One of: PLANNED, IN_TRANSIT, DELIVERED, UNKNOWN. |
containers[].events | array of object | No | — |
containers[].events[].location | object | No | Ordered list of the locations your shipment will transit by. |
containers[].events[].location.name | string | No | Location name (as in UNECE database). |
containers[].events[].location.state | string | No | Location state if provided. |
containers[].events[].location.country | string | No | Country of the location. |
containers[].events[].location.countryCode | string | No | Country code of the location (2 letters, as in UNECE database). |
containers[].events[].location.locode | string | No | UN/Locode of the location. |
containers[].events[].location.coordinates | object | No | — |
containers[].events[].location.coordinates.lat | number (float) | No | — |
containers[].events[].location.coordinates.lng | number (float) | No | — |
containers[].events[].location.timezone | string | No | Location timezone. |
containers[].events[].facility | object | No | List of facilities your shipment will transit by. |
containers[].events[].facility.name | string | No | Facility name. |
containers[].events[].facility.countryCode | string | No | 2 letters country code. |
containers[].events[].facility.locode | string | No | UN/Locode of the facility. |
containers[].events[].facility.bicCode | string | No | — |
containers[].events[].facility.smdgCode | string | No | — |
containers[].events[].facility.coordinates | object | No | — |
containers[].events[].facility.coordinates.lat | number (float) | No | — |
containers[].events[].facility.coordinates.lng | number (float) | No | — |
containers[].events[].description | string | No | Event description. |
containers[].events[].eventType | string | No | Event Type as in DCSA standard (if applicable). One of: SHIPMENT, TRANSPORT, EQUIPMENT. |
containers[].events[].eventCode | string | No | Event Code as in DCSA standard (if applicable). One of: ARRI, DEPA, LOAD, DISC, GTIN, GTOT, STUF, STRP, PICK, AVPU, DROP, AVDO, INSP, RSEA, RMVD, CUSS, CUSI, CUSR, CROS, RECE, DRFT, PENA, PENU, PENC, CONF, REJE, APPR, ISSU, SURR, SUBM, VOID, REQS, CMPL, HOLD, RELS, CANC. |
containers[].events[].status | string | No | 3 characters event identifier. One of: CEP, CPS, CGI, CLL, VDL, VAT, CDT, TSD, CLT, VDT, VAD, CDD, CGO, CDC, CER, LTS, BTS, UNK. |
containers[].events[].date | string (date-time) | No | Event date in localtime. |
containers[].events[].isActual | boolean | No | True if the date is actual, false if estimated/. |
containers[].events[].isAdditionalEvent | boolean | No | False if the event data comes from the shipping line, true if it's calculated by Safecube from other sources. |
containers[].events[].routeType | string | No | One of: SEA, LAND. |
containers[].events[].transportType | string | No | One of: VESSEL, BARGE, FEEDER, TRUCK, RAIL, AIR. |
containers[].events[].vessel | object | No | Ordered list of vessels involved in the shipment transportation. |
containers[].events[].vessel.name | string | No | Vessel Name. |
containers[].events[].vessel.imo | integer (int32) | No | Unique IMO identifier of the vessel. |
containers[].events[].vessel.callSign | string | No | Call sign of the vessel when provided. |
containers[].events[].vessel.mmsi | integer (int32) | No | Maritime Mobile Service Identity number. |
containers[].events[].vessel.flag | string | No | 2 letters country code (as in UNECE database). |
containers[].events[].voyage | string | No | Voyage identifier if applicable. |
routeData | object | No | — |
routeData.routeSegments | array of object | No | — |
routeData.routeSegments[].path | array of object | No | — |
routeData.routeSegments[].path[].lat | number (float) | No | — |
routeData.routeSegments[].path[].lng | number (float) | No | — |
routeData.routeSegments[].routeType | string | No | One of: SEA, LAND. |
routeData.coordinates | object | No | Coordinates of your shipments. AIS coordinates of the vessel if your shipment is onboard a vessel, else last location coordinates. |
routeData.coordinates.lat | number (float) | No | — |
routeData.coordinates.lng | number (float) | No | — |
routeData.ais | object | No | — |
routeData.ais.status | string | No | One of: OK, NOT_ON_BOARD, NO_AIS_DATA. |
routeData.ais.data | object | No | — |
routeData.ais.data.lastEvent | object | No | Last event provided by the shipping line for the vessel. |
routeData.ais.data.lastEvent.description | string | No | — |
routeData.ais.data.lastEvent.date | string (date-time) | No | — |
routeData.ais.data.lastEvent.voyage | string | No | — |
routeData.ais.data.dischargePort | object | No | — |
routeData.ais.data.dischargePort.name | string | No | — |
routeData.ais.data.dischargePort.countryCode | string | No | — |
routeData.ais.data.dischargePort.code | string | No | — |
routeData.ais.data.dischargePort.date | string (date-time) | No | — |
routeData.ais.data.dischargePort.dateLabel | string | No | One of: ETA, ATA, ETD, ATD. |
routeData.ais.data.vessel | object | No | Ordered list of vessels involved in the shipment transportation. |
routeData.ais.data.vessel.name | string | No | Vessel Name. |
routeData.ais.data.vessel.imo | integer (int32) | No | Unique IMO identifier of the vessel. |
routeData.ais.data.vessel.callSign | string | No | Call sign of the vessel when provided. |
routeData.ais.data.vessel.mmsi | integer (int32) | No | Maritime Mobile Service Identity number. |
routeData.ais.data.vessel.flag | string | No | 2 letters country code (as in UNECE database). |
routeData.ais.data.lastVesselPosition | object | No | — |
routeData.ais.data.lastVesselPosition.lat | number (float) | No | — |
routeData.ais.data.lastVesselPosition.lng | number (float) | No | — |
routeData.ais.data.lastVesselPosition.updatedAt | string (date-time) | No | — |
routeData.ais.data.departurePort | object | No | — |
routeData.ais.data.departurePort.countryCode | string | No | — |
routeData.ais.data.departurePort.code | string | No | — |
routeData.ais.data.departurePort.date | string (date-time) | No | — |
routeData.ais.data.departurePort.dateLabel | string | No | One of: ETA, ATA, ETD, ATD. |
routeData.ais.data.arrivalPort | object | No | — |
routeData.ais.data.arrivalPort.countryCode | string | No | — |
routeData.ais.data.arrivalPort.code | string | No | — |
routeData.ais.data.arrivalPort.date | string (date-time) | No | — |
routeData.ais.data.arrivalPort.dateLabel | string | No | One of: ETA, ATA, ETD, ATD. |
routeData.ais.data.updatedAt | string (date-time) | No | — |
Example response body:
{
"metadata": {
"shipmentType": "CT",
"shipmentNumber": "MSKU0496560",
"sealine": "MAEU",
"sealineName": "Maersk",
"shippingStatus": "IN_TRANSIT",
"updatedAt": "2023-11-28T11:24:59Z"
},
"locations": [
{
"name": "Houston",
"state": "Texas",
"country": "United States",
"countryCode": "US",
"locode": "USHOU",
"coordinates": {
"lat": 29.76328,
"lng": -95.36327
},
"timezone": "America/Chicago"
},
{
"name": "Bremerhaven",
"state": "Bremen",
"country": "Germany",
"countryCode": "DE",
"locode": "DEBRV",
"coordinates": {
"lat": 53.53615,
"lng": 8.59298
},
"timezone": "Europe/Berlin"
}
],
"route": {
"prepol": {
"location": {
"name": "Houston",
"state": "Texas",
"country": "United States",
"countryCode": "US",
"locode": "USHOU",
"coordinates": {
"lat": 29.76328,
"lng": -95.36327
},
"timezone": "America/Chicago"
},
"date": "2023-11-07T11:16:00Z",
"actual": true,
"predictiveEta": null
},
"pol": {
"location": {
"name": "Houston",
"state": "Texas",
"country": "United States",
"countryCode": "US",
"locode": "USHOU",
"coordinates": {
"lat": 29.76328,
"lng": -95.36327
},
"timezone": "America/Chicago"
},
"date": "2023-11-07T12:46:00Z",
"actual": true,
"predictiveEta": null
},
"pod": {
"location": {
"name": "Bremerhaven",
"state": "Bremen",
"country": "Germany",
"countryCode": "DE",
"locode": "DEBRV",
"coordinates": {
"lat": 53.53615,
"lng": 8.59298
},
"timezone": "Europe/Berlin"
},
"date": "2023-12-01T22:00:00Z",
"actual": false,
"predictiveEta": null
},
"postpod": {
"location": {
"name": "Bremerhaven",
"state": "Bremen",
"country": "Germany",
"countryCode": "DE",
"locode": "DEBRV",
"coordinates": {
"lat": 53.53615,
"lng": 8.59298
},
"timezone": "Europe/Berlin"
},
"date": "2023-12-01T22:00:00Z",
"actual": false,
"predictiveEta": null
}
},
"vessels": [
{
"name": "MAERSK OHIO",
"imo": 9298698,
"callSign": "KABP",
"mmsi": 367775000,
"flag": "US"
}
],
"facilities": [
{
"name": "Houston Barbours Cut Terminal",
"countryCode": "US",
"locode": "USUQF",
"bicCode": "USUQFGDQQ",
"smdgCode": null,
"coordinates": {
"lat": null,
"lng": null
}
},
{
"name": "MSC Gate Bremerhaven Gmbh & Co. KG",
"countryCode": "DE",
"locode": null,
"bicCode": null,
"smdgCode": null,
"coordinates": {
"lat": null,
"lng": null
}
}
],
"containers": [
{
"number": "MSKU0496560",
"isoCode": "45G1",
"sizeType": "40' High Cube Dry",
"status": "IN_TRANSIT",
"events": [
{
"location": {
"name": "Houston",
"state": "Texas",
"country": "United States",
"countryCode": "US",
"locode": "USHOU",
"coordinates": {
"lat": 29.76328,
"lng": -95.36327
},
"timezone": "America/Chicago"
},
"facility": {
"name": "Houston Barbours Cut Terminal",
"countryCode": "US",
"locode": "USUQF",
"bicCode": "USUQFGDQQ",
"smdgCode": null,
"coordinates": {
"lat": null,
"lng": null
}
},
"description": "Gate out",
"eventType": "EQUIPMENT",
"eventCode": "GTOT",
"status": "CEP",
"date": "2023-11-07T11:16:00Z",
"isActual": true,
"isAdditionalEvent": false,
"routeType": "LAND",
"transportType": null,
"vessel": null,
"voyage": null
},
{
"location": {
"name": "Houston",
"state": "Texas",
"country": "United States",
"countryCode": "US",
"locode": "USHOU",
"coordinates": {
"lat": 29.76328,
"lng": -95.36327
},
"timezone": "America/Chicago"
},
"facility": null,
"description": "Gate in",
"eventType": "EQUIPMENT",
"eventCode": "GTIN",
"status": "CGI",
"date": "2023-11-07T12:46:00Z",
"isActual": true,
"isAdditionalEvent": false,
"routeType": "LAND",
"transportType": null,
"vessel": null,
"voyage": null
},
{
"location": {
"name": "Houston",
"state": "Texas",
"country": "United States",
"countryCode": "US",
"locode": "USHOU",
"coordinates": {
"lat": 29.76328,
"lng": -95.36327
},
"timezone": "America/Chicago"
},
"facility": null,
"description": "Load",
"eventType": "EQUIPMENT",
"eventCode": "LOAD",
"status": "CLL",
"date": "2023-11-11T04:57:00Z",
"isActual": true,
"isAdditionalEvent": false,
"routeType": "SEA",
"transportType": null,
"vessel": {
"name": "MAERSK OHIO",
"imo": 9298698,
"callSign": "KABP",
"mmsi": 367775000,
"flag": "US"
},
"voyage": "344E"
},
{
"location": {
"name": "Houston",
"state": "Texas",
"country": "United States",
"countryCode": "US",
"locode": "USHOU",
"coordinates": {
"lat": 29.76328,
"lng": -95.36327
},
"timezone": "America/Chicago"
},
"facility": null,
"description": "Vessel departure",
"eventType": "TRANSPORT",
"eventCode": "DEPA",
"status": "VDL",
"date": "2023-11-11T07:09:00Z",
"isActual": true,
"isAdditionalEvent": false,
"routeType": "SEA",
"transportType": "VESSEL",
"vessel": {
"name": "MAERSK OHIO",
"imo": 9298698,
"callSign": "KABP",
"mmsi": 367775000,
"flag": "US"
},
"voyage": "344E"
},
{
"location": {
"name": "Bremerhaven",
"state": "Bremen",
"country": "Germany",
"countryCode": "DE",
"locode": "DEBRV",
"coordinates": {
"lat": 53.53615,
"lng": 8.59298
},
"timezone": "Europe/Berlin"
},
"facility": {
"name": "MSC Gate Bremerhaven Gmbh & Co. KG",
"countryCode": "DE",
"locode": null,
"bicCode": null,
"smdgCode": null,
"coordinates": {
"lat": null,
"lng": null
}
},
"description": "Vessel arrival",
"eventType": "TRANSPORT",
"eventCode": "ARRI",
"status": "VAD",
"date": "2023-12-01T22:00:00Z",
"isActual": false,
"isAdditionalEvent": false,
"routeType": "SEA",
"transportType": "VESSEL",
"vessel": {
"name": "MAERSK OHIO",
"imo": 9298698,
"callSign": "KABP",
"mmsi": 367775000,
"flag": "US"
},
"voyage": "344E"
}
]
}
],
"routeData": {
"routeSegments": [
{
"path": [
{
"lat": 29.76328,
"lng": -95.36327
},
{
"lat": 29.75212,
"lng": -95.30827
},
{
"lat": 29.700035,
"lng": -95.05164
},
{
"lat": 29.688875,
"lng": -94.99665
},
{
"lat": 29.69268,
"lng": -94.99588
},
{
"lat": 29.710443,
"lng": -94.99227
},
{
"lat": 29.71425,
"lng": -94.9915
},
{
"lat": 29.661234,
"lng": -94.9585
},
{
"lat": 29.413822,
"lng": -94.8045
},
{
"lat": 29.360806,
"lng": -94.7715
},
{
"lat": 28.69987,
"lng": -92.64078
},
{
"lat": 25.615494,
"lng": -82.697395
},
{
"lat": 24.954556,
"lng": -80.566666
},
{
"lat": 25.089743,
"lng": -80.05885
},
{
"lat": 25.72062,
"lng": -77.689064
},
{
"lat": 25.855806,
"lng": -77.18125
},
{
"lat": 29.65043,
"lng": -65.394936
},
{
"lat": 47.08643,
"lng": -11.237754
},
{
"lat": 47.35868,
"lng": -10.392122
},
{
"lat": 51.153305,
"lng": 1.394194
},
{
"lat": 51.42554,
"lng": 1.9012278
},
{
"lat": 52.695972,
"lng": 4.267386
},
{
"lat": 52.96821,
"lng": 4.77442
},
{
"lat": 53.032413,
"lng": 4.9400067
},
{
"lat": 53.332043,
"lng": 5.712746
},
{
"lat": 53.39625,
"lng": 5.878333
},
{
"lat": 53.439404,
"lng": 6.111904
},
{
"lat": 53.640785,
"lng": 7.201904
},
{
"lat": 53.68394,
"lng": 7.435475
},
{
"lat": 53.685673,
"lng": 7.4788346
},
{
"lat": 53.693768,
"lng": 7.681179
},
{
"lat": 53.695503,
"lng": 7.7245383
},
{
"lat": 53.665535,
"lng": 7.8185787
},
{
"lat": 53.52569,
"lng": 8.257433
},
{
"lat": 53.49572,
"lng": 8.351473
},
{
"lat": 53.51669,
"lng": 8.365631
},
{
"lat": 53.614532,
"lng": 8.431703
},
{
"lat": 53.635498,
"lng": 8.445861
},
{
"lat": 53.620594,
"lng": 8.467929
},
{
"lat": 53.551052,
"lng": 8.570912
},
{
"lat": 53.53615,
"lng": 8.59298
}
],
"routeType": "SEA"
}
],
"coordinates": {
"lat": 47.08643,
"lng": -11.237754
},
"ais": {
"status": "OK",
"data": {
"lastEvent": {
"description": "Vessel departure",
"date": "2023-11-11T07:09:00Z",
"voyage": "344E"
},
"dischargePort": null,
"vessel": {
"name": "MAERSK OHIO",
"imo": 9298698,
"callSign": "KABP",
"mmsi": 367775000,
"flag": "US"
},
"lastVesselPosition": {
"lat": 51.28157,
"lng": 4.253457,
"updatedAt": "2023-11-28T10:28:00Z"
},
"departurePort": {
"name": "Bremerhaven",
"countryCode": "DE",
"code": "BRV",
"date": "2023-12-01T22:00:00Z",
"dateLabel": "ETA"
},
"arrivalPort": {
"name": null,
"countryCode": "BE",
"code": "ANR",
"date": "2023-11-27T13:02:00Z",
"dateLabel": "ATA"
},
"updatedAt": "2023-11-28T10:34:39Z"
}
}
}
}